UberItems | Template Addon (API) 1.1

API | Add powerful items to your Minecraft server!

  1. ThirtyVirus
    Native Minecraft Version:
    1.14
    Tested Minecraft Versions:
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    Source Code:
    https://github.com/ThirtyVirus/UberItems_CustomAddon_Template
    Languages Supported:
    English, Language File Configuration
    [​IMG]
    [​IMG]

    What is UberItems?

    UberItems is a plugin that adds powerful and fun items into your game. These items can perform ease of access actions, give you powerful abilities, and allow you to RULE THE WORLD! The utility of these items is up to server owners, as they can be fun to mess around with on private servers, or could be a fun way to spice up a survival or SkyBlock server!

    This is an example of an addons plugin made using the UberItems API. With this system, you can add your own powerful items into the game within minutes with some basic plugin dev and java experience! This plugin requires UberItems, download it here: https://www.spigotmc.org/resources/64923/

    [​IMG]
    How to use the API (Make your own Items!)

    • NOTE: You do need basic knowledge of Java and Craftbukkit / Spigot development in order to make your own UberItems.
    • Clone the Source Code GitHub Repository to your compiler of choice (I would recommend IntelliJ IDEA as that is what the project was made in).
    • Watch My Tutorial on how to make your own UberItems with the API.
    • Add the latest UberItems plugin Jar, and the latest supported Spigot Jar as libraries in your project. Change the directories of your imports and exports to suit your needs (the directories in the repository are for my PC lol)
    • Review the UberItems API, Javadocs On My Website
    • Using the pre-existing example items as a template, add your own items, then the rest is up to you!

    [​IMG]

    Before you Review

    • DO NOT leave a negative review due to bugs. Please leave reports in the discussions section and I will try to reply back asap.
    • Remember: servers are complicated. Certain plugins do not play nice when installed together. This may cause crashes or unexpected behavior that is not the fault of the developers of either plugin.
    • Be respectful and constructive. If a concept in the plugin is fundamentally flawed in your opinion, explain why so I can work to make it better.
    • Be fair! Just because you are experiencing a problem, that doesn't mean everyone is. My plugin getting a 1 star review because you had the wrong version of Spigot installed is pretty unfair to me, no?

Recent Updates

  1. more useful example

Recent Reviews

  1. Sin_Ender
    Sin_Ender
    4/5,
    Version: 1.1
    - While you did do a good job on the plugin/api it is lacking support for maven(hope you do that)
    - The api is categorized as a bungee plugin(which its not)
    - Adding support for older versions would be a neat feature, but not necessary(maybe just for premium)
    1. ThirtyVirus
      Author's Response
      - I've gotten this suggestion before, I need to educate myself on Maven
      - fixed lol, now it is categorized as a spigot API
      - Also in the works, I can't go all the way back to 1.8 because certain features need it but I will try and support as many versions as possible